# Namespace: proj

## ol.proj

### Classes

CH
EPSG2056
EPSG3857
EPSG4326
EPSG21781
Projection

### Members

#### static,constantol.proj.METERS_PER_UNIT[undefined]{Object.<ol.proj.Units, number>} experimental

  Meters per unit lookup table.

### Methods

#### staticol.proj.addProjection(projection) experimental

src/ol/proj/proj.js, line 387

  Name | Type | Description
  --- | --- | ---
  `projection` | ol.proj.Projection | Projection.

#### staticol.proj.configureProj4jsProjection(options){ol.proj.Projection} experimental

src/ol/proj/proj.js, line 732

  Name | Type | Description
  --- | --- | ---
  `options` | Proj4js projection options.
  Name | Type | Description
  --- | --- | ---
  `code` | string | The SRS identifier code, e.g. `EPSG:31256`.
  `extent` | ol.Extent | undefined | optional The validity extent for the SRS.
  `global` | boolean | undefined | optional Whether the projection is valid for the whole globe. Default is `false`.

  ##### Returns:

  Proj4js projection.

#### staticol.proj.get(projectionLike){ol.proj.Projection} experimental

src/ol/proj/proj.js, line 485

  Name | Type | Description
  --- | --- | ---
  `projectionLike` | ol.proj.ProjectionLike | Either a code string which is a combination of authority and identifier such as "EPSG:4326", or an existing projection object, or undefined.

  ##### Returns:

  Projection.

#### staticol.proj.getTransform(source, destination){ol.TransformFunction} experimental

src/ol/proj/proj.js, line 567

  Given the projection-like objects this method searches for a transformation function to convert a coordinates array from the source projection to the destination projection.

  Name | Type | Description
  --- | --- | ---
  `source` | ol.proj.ProjectionLike | Source.
  `destination` | ol.proj.ProjectionLike | Destination.

  ##### Returns:

  Transform.

#### staticol.proj.getTransformFromProjections(sourceProjection, destinationProjection){ol.TransformFunction} experimental

src/ol/proj/proj.js, line 584

  Searches a function that can be used to convert coordinates from the source projection to the destination projection.

  Name | Type | Description
  --- | --- | ---
  `sourceProjection` | ol.proj.Projection | Source projection.
  `destinationProjection` | ol.proj.Projection | Destination projection.

  ##### Returns:

  Transform.

#### staticol.proj.transform(point, source, destination){ol.Coordinate} experimental

src/ol/proj/proj.js, line 704

  Name | Type | Description
  --- | --- | ---
  `point` | ol.Coordinate | Point.
  `source` | ol.proj.ProjectionLike | Source.
  `destination` | ol.proj.ProjectionLike | Destination.

  ##### Returns:

  Point.

#### staticol.proj.transformWithProjections(point, sourceProjection, destinationProjection){ol.Coordinate} experimental

src/ol/proj/proj.js, line 719

  Transforms the given point to the destination projection.

  Name | Type | Description
  --- | --- | ---
  `point` | ol.Coordinate | Point.
  `sourceProjection` | ol.proj.Projection | Source projection.
  `destinationProjection` | ol.proj.Projection | Destination projection.

  ##### Returns:

  Point.

### Type Definitions

#### ol.proj.ProjectionLike{ol.proj.Projection} {string} {undefined} experimental

  A projection as `ol.proj.Projection`, SRS identifier string or undefined.

#### ol.proj.Units{string} experimental

  Projection units: `'degrees'`, `'ft'`, `'m'` or `'pixels'`.